Bug 996142 - wicd can't connect to wifi on lenovo X230
wicd can't connect to wifi on lenovo X230
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 09:46 EDT by Lokesh Mandvekar
Modified: 2014-07-01 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 21:20:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-08-12 09:46:15 EDT
Description of problem:

This is probably a device specific bug:
wicd doesn't connect to open wireless
fails to connect to WPA2 wireless (Bad password)

This occurs on lenovo X230 with:
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

but works fine on lenovo T520 with: 
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3

Version-Release number of selected component (if applicable): 1.7.2.4-7


How reproducible: always


Steps to Reproduce:
1. try connecting to wifi
Comment 1 David Cantrell 2013-08-14 11:39:34 EDT
I've seen this behavior in some systems before.  Can you try with the default tools in Fedora (GNOME with NetworkManager) and see if you are able to connect.  I want to verify that this is a lower level problem and not specifically related to wicd.
Comment 2 Lokesh Mandvekar 2013-08-14 12:25:27 EDT
It worked fine with NetworkManager. I'm a tiling wm user and I avoid most of the GUI stuff, but I do start the NetworkManager service for my home network and it connects automatically.

Also, I migrated my /etc/wicd/wireless-settings.conf from my working machine to my problem machine. This does allow me to connect to say 'attwifi' at Starbucks when I start wicd via systemctl, but if I want to connect to a new WPA2 network, it would just fail with a Bad password error.

Hope that helps
Comment 3 Fedora End Of Life 2013-09-16 12:31:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Lokesh Mandvekar 2013-10-24 21:20:57 EDT
seems to be working fine now. closing it.

Note You need to log in before you can comment on or make changes to this bug.